package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

public class CkuUserPayList {
    private Integer id;

    private String userId;

    private Integer tableId;

    private String moneyType;

    private Date moneyDate;

    private BigDecimal moneyAmount;

    private String moneyWay;

    private Integer yearId;

    private String runningNumber;

    private String payState;

    private Date stateTime;

    private String outTradeNo;

    private String alipayS;

    private String payoutRemarks;

    private Date addTime;

    private Date editTime;

    private String delTag;

    private BigDecimal sysprice;

    private String operater;
    
    private String type;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getTableId() {
        return tableId;
    }

    public void setTableId(Integer tableId) {
        this.tableId = tableId;
    }

    public String getMoneyType() {
        return moneyType;
    }

    public void setMoneyType(String moneyType) {
        this.moneyType = moneyType == null ? null : moneyType.trim();
    }

    public Date getMoneyDate() {
        return moneyDate;
    }

    public void setMoneyDate(Date moneyDate) {
        this.moneyDate = moneyDate;
    }

    public BigDecimal getMoneyAmount() {
        return moneyAmount;
    }

    public void setMoneyAmount(BigDecimal moneyAmount) {
        this.moneyAmount = moneyAmount;
    }

    public String getMoneyWay() {
        return moneyWay;
    }

    public void setMoneyWay(String moneyWay) {
        this.moneyWay = moneyWay == null ? null : moneyWay.trim();
    }

    public Integer getYearId() {
        return yearId;
    }

    public void setYearId(Integer yearId) {
        this.yearId = yearId;
    }

    public String getRunningNumber() {
        return runningNumber;
    }

    public void setRunningNumber(String runningNumber) {
        this.runningNumber = runningNumber == null ? null : runningNumber.trim();
    }

    public String getPayState() {
        return payState;
    }

    public void setPayState(String payState) {
        this.payState = payState == null ? null : payState.trim();
    }

    public Date getStateTime() {
        return stateTime;
    }

    public void setStateTime(Date stateTime) {
        this.stateTime = stateTime;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo == null ? null : outTradeNo.trim();
    }

    public String getAlipayS() {
        return alipayS;
    }

    public void setAlipayS(String alipayS) {
        this.alipayS = alipayS == null ? null : alipayS.trim();
    }

    public String getPayoutRemarks() {
        return payoutRemarks;
    }

    public void setPayoutRemarks(String payoutRemarks) {
        this.payoutRemarks = payoutRemarks == null ? null : payoutRemarks.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getEditTime() {
        return editTime;
    }

    public void setEditTime(Date editTime) {
        this.editTime = editTime;
    }

    public String getDelTag() {
        return delTag;
    }

    public void setDelTag(String delTag) {
        this.delTag = delTag == null ? null : delTag.trim();
    }

    public BigDecimal getSysprice() {
        return sysprice;
    }

    public void setSysprice(BigDecimal sysprice) {
        this.sysprice = sysprice;
    }

    public String getOperater() {
        return operater;
    }

    public void setOperater(String operater) {
        this.operater = operater == null ? null : operater.trim();
    }

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
    
}